---@meta

---@class Object
Object = {
	--- Returns the name of the object.
	--- @return string name The name of the object.
	--- @example
	--- local name = myObject:GetName()
	GetName = function(self) end,

	--- Returns the object's parent object.
	--- @return Object parent The parent object.
	--- @example
	--- local parent = myObject:GetParent()
	GetParent = function(self) end,
}
